cl.cromer.estructuras

## Class ListaEnlazdaController

- java.lang.Object
- - cl.cromer.estructuras.ListaEnlazdaController

All Implemented Interfaces:
  javafx.fxml.Initializable

    public class ListaEnlazdaController
    extends java.lang.Object
    implements javafx.fxml.Initializable

Esta clase es para controlar todos la interfaz de ListaEnlazada.

Author:
  Chris Cromer

### Field Summary

Fields
`private javafx.scene.text.Text` `codigoLista` Donde va el codigo a mostrar a la pantalla.
`private Colores` `colores` Colores por los dibjos.
`private javafx.scene.layout.VBox` `contenidoLista` Donde poner el contenido de lista.
`private javafx.scene.layout.VBox` `contenidoListaCircular` Donde poner el contenido de lista circular.
`private Grafico` `grafico` Grafico rectangulos y lineas.
`private ListaEnlazada` `listaEnlazada` La lista enlazada usado en la aplicación.
`private ListaEnlazadaCircular` `listaEnlazadaCircular` La lista enlazada circular usado en la aplicación.
`private ListaEnlazada.Tipos` `listaEnlazadaTipos` Tipo de lista enlazada a trabajar.
`private java.util.ResourceBundle` `resourceBundle` Donde está guardado los idiomas.
`private javafx.scene.Scene` `scene` La escena donde está cosas graficas.
`private TextFieldLimited` `valorLista` La caja para ingresar el valor.

### Constructor Summary

Constructors
Constructor and Description
`ListaEnlazdaController()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `botonBuscar()` Buscar si existe una llave en la lista y mostrar el codigo en la pantalla Si existe la llave destacarla.
`protected void` `botonEliminar()` Eliminar un valor de la lista si existe y mostrar el codigo en la pantalla.
`protected void` `botonInsertar()` Insertar un valor a la lista y mostrar el codigo en la pantalla.
`protected void` `botonLlenar()` Llenar la lista con numeros al azar.
`protected void` `botonVaciar()` Vaciar la lista de todos los valores.
`private void` `dibujarDoble(ListaEnlace listaEnlace, boolean primer)` Dibujarlo con dos flechas.
`private void` `dibujarSimple(ListaEnlace listaEnlace, boolean sinFlecha)` Dibujarlo con una flecha.
`private void` `generarGrafico()` Poner los valores en el grafico.
`private java.lang.String` `getTipoString()` Devolver la string de tipo de lista enlazada.
`void` `initialize(java.net.URL location, java.util.ResourceBundle resourceBundle)` Inicializar todos los datos y dibujar las graficas.
`private void` `initializeLista()` Crear una lista vacia.
`private void` `nuevaLista()` Crear una nueva lista enlazada.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### valorLista

    private TextFieldLimited valorLista

La caja para ingresar el valor.

#### contenidoLista

    private javafx.scene.layout.VBox contenidoLista

Donde poner el contenido de lista.

#### contenidoListaCircular

    private javafx.scene.layout.VBox contenidoListaCircular

Donde poner el contenido de lista circular.

#### codigoLista

    private javafx.scene.text.Text codigoLista

Donde va el codigo a mostrar a la pantalla.

#### scene

    private javafx.scene.Scene scene

La escena donde está cosas graficas.

#### resourceBundle

    private java.util.ResourceBundle resourceBundle

Donde está guardado los idiomas.

#### listaEnlazada

    private ListaEnlazada listaEnlazada

La lista enlazada usado en la aplicación.

#### listaEnlazadaCircular

    private ListaEnlazadaCircular listaEnlazadaCircular

La lista enlazada circular usado en la aplicación.

#### listaEnlazadaTipos

    private ListaEnlazada.Tipos listaEnlazadaTipos

Tipo de lista enlazada a trabajar.

#### grafico

    private Grafico grafico

Grafico rectangulos y lineas.

#### colores

    private Colores colores

Colores por los dibjos.

### Constructor Detail

#### ListaEnlazdaController

    public ListaEnlazdaController()

### Method Detail

#### initialize

    public void initialize(java.net.URL location,
                           java.util.ResourceBundle resourceBundle)

Inicializar todos los datos y dibujar las graficas.

Specified by:
  `initialize` in interface `javafx.fxml.Initializable`
Parameters:
  `location` - URL: El URL de fxml en uso.
  `resourceBundle` - ResourceBundle: Tiene datos de idioma.

#### botonLlenar

    protected void botonLlenar()

Llenar la lista con numeros al azar.

#### botonVaciar

    protected void botonVaciar()

Vaciar la lista de todos los valores.

#### botonInsertar

    protected void botonInsertar()

Insertar un valor a la lista y mostrar el codigo en la pantalla.

#### botonEliminar

    protected void botonEliminar()

Eliminar un valor de la lista si existe y mostrar el codigo en la pantalla.

#### botonBuscar

    protected void botonBuscar()

Buscar si existe una llave en la lista y mostrar el codigo en la pantalla Si existe la llave destacarla.

#### initializeLista

    private void initializeLista()

Crear una lista vacia.

#### getTipoString

    private java.lang.String getTipoString()

Devolver la string de tipo de lista enlazada.

Returns:
  String: El nombre del tipo de lista enlazada.

#### generarGrafico

    private void generarGrafico()

Poner los valores en el grafico.

#### nuevaLista

    private void nuevaLista()

Crear una nueva lista enlazada.

#### dibujarSimple

    private void dibujarSimple(ListaEnlace listaEnlace,
                               boolean sinFlecha)

Dibujarlo con una flecha.

Parameters:
  `listaEnlace` - ListaEnlace: El listaEnlace que tiene la llave y valor.
  `sinFlecha` - boolean: Verdad si necesita dibujar una flecha.

#### dibujarDoble

    private void dibujarDoble(ListaEnlace listaEnlace,
                              boolean primer)

Dibujarlo con dos flechas.

Parameters:
  `listaEnlace` - ListaEnlace: El listaEnlace que tiene la llave y valor.
  `primer` - boolean: Verdad si es el primer elemento de la lista.